Subscribe
Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions
Authorization: Bearer {Paragon User Token}
Content-Type: application/json
{
"integration": "slack",
"type": "SLACK_TRIGGER_MESSAGE_INTERACTION",
"parameters": {}
}
Example Payload
This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in Receiving Webhooks.Example
{
"type": "block_actions",
"user": {
"id": "U05FHR8WY94",
"username": "mock",
"name": "mock",
"team_id": "T05FCDEOGAK"
},
"api_app_id": "F5JFQPAQS5B",
"token": "L7IX6dGhLCZnYlRkjHJE6FE4",
"container": {
"type": "message",
"message_ts": "1702463410.208979",
"channel_id": "C069FDS4JWV",
"is_ephemeral": false
},
"trigger_id": "5522672900359.6335258913941.9a930ce254ab481dcf90c6ad200e636f",
"team": {
"id": "T05FCDEOGAK",
"domain": "mock"
},
"enterprise": null,
"is_enterprise_install": false,
"channel": {
"id": "C069FDS4JWV",
"name": "privategroup"
},
"message": {
"bot_id": "EFCOGT05DAK",
"type": "message",
"text": "bro",
"app_id": "AQPS5BQA05F",
"team": "T05FCDEOGAK",
"blocks": [
{
"text": {
"text": "New request",
"type": "plain_text",
"emoji": true
},
"type": "header",
"block_id": "QZRVZ"
},
{
"type": "section",
"fields": [
{
"text": "*When:*\nAug 10 - Aug 13",
"type": "mrkdwn",
"verbatim": false
}
],
"block_id": "zcsYJ"
},
{
"type": "actions",
"block_id": "bBxhy",
"elements": [
{
"text": {
"text": "Approve",
"type": "plain_text",
"emoji": true
},
"type": "button",
"style": "primary",
"value": "click_me_123",
"action_id": "uSoeH"
}
]
}
],
"ts": "1759934456.031349",
"user": "U05FD5S2023"
},
"state": {
"values": {}
},
"response_url": "https://hooks.slack.com/actions/T05FCDEOGAK/6335263953942/xKHT0IcAFsOLYl0HTf3LkU4S",
"actions": [
{
"action_id": "Yg6CW",
"block_id": "bBxhy",
"text": {
"type": "plain_text",
"text": "Reject",
"emoji": true
},
"value": "click_me_123",
"style": "danger",
"type": "button",
"action_ts": "1702463475.096267"
}
]
}